manualIgnitionM112Event = {};
manualIgnitionM112Event_mt = Class(manualIgnitionM112Event, Event);

InitEventClass(manualIgnitionM112Event, "manualIgnitionM112Event");

function manualIgnitionM112Event:emptyNew()
    local self = Event:new(manualIgnitionM112Event_mt);
    self.className="manualIgnitionM112Event";
    return self;
end;

function manualIgnitionM112Event:new(object, isRunning)
    local self = manualIgnitionM112Event:emptyNew()
    self.object = object;
	self.isRunning = isRunning;
    return self;
end;

function manualIgnitionM112Event:readStream(streamId, connection)
    local id = streamReadInt32(streamId);
	self.isRunning = streamReadBool(streamId);
    self.object = networkGetObject(id);
    self:run(connection);
end;

function manualIgnitionM112Event:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.object));
	streamWriteBool(streamId, self.isRunning);
end;

function manualIgnitionM112Event:run(connection)
	self.object:invokeIgnition(self.isRunning);
    if not connection:getIsServer() then
        g_server:broadcastEvent(manualIgnitionM112Event:new(self.object, self.isRunning), nil, connection, self.object);
    end;	
end;

function manualIgnitionM112Event.sendEvent(vehicle, isRunning)
	if g_server ~= nil then
		g_server:broadcastEvent(manualIgnitionM112Event:new(vehicle, isRunning), nil, nil, vehicle);
	else
		g_client:getServerConnection():sendEvent(manualIgnitionM112Event:new(vehicle, isRunning));
	end;
end;

