manualIgnitionM112StatsEvent = {};
manualIgnitionM112StatsEvent_mt = Class(manualIgnitionM112StatsEvent, Event);

InitEventClass(manualIgnitionM112StatsEvent, "manualIgnitionM112StatsEvent");

function manualIgnitionM112StatsEvent:emptyNew()
    local self = Event:new(manualIgnitionM112StatsEvent_mt);
    self.className="manualIgnitionM112StatsEvent";
    return self;
end;

function manualIgnitionM112StatsEvent:new(vehicle)
    local self = manualIgnitionM112StatsEvent:emptyNew()
    self.vehicle = vehicle;
    return self;
end;

function manualIgnitionM112StatsEvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);
    self.vehicle = networkGetObject(id);
	self.vehicle.fuelConsumption = streamReadFloat32(streamId);
	self.vehicle.distanceDriven = streamReadFloat32(streamId);
	self.vehicle.fuelUsed = streamReadFloat32(streamId);
	self.vehicle.runningTime = streamReadFloat32(streamId);
	if not connection:getIsServer() then
		g_server:broadcastEvent(manualIgnitionM112StatsEvent:new(self.vehicle), nil, connection, self.vehicle);
	end;
end;

function manualIgnitionM112StatsEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.vehicle));
	streamWriteFloat32(streamId, self.vehicle.fuelConsumption);
	streamWriteFloat32(streamId, self.vehicle.distanceDriven);
	streamWriteFloat32(streamId, self.vehicle.fuelUsed);
	streamWriteFloat32(streamId, self.vehicle.runningTime);
end;

function manualIgnitionM112StatsEvent.sendEvent(vehicle, isTransport)
	if g_server ~= nil then
		g_server:broadcastEvent(manualIgnitionM112StatsEvent:new(vehicle), nil, nil, vehicle);
	else
		g_client:getServerConnection():sendEvent(manualIgnitionM112StatsEvent:new(vehicle));
	end;
end;

